org.apache.jmeter.testbeans.gui

## Class TextAreaEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.apache.jmeter.testbeans.gui.TextAreaEditor

- All Implemented Interfaces:
    FocusListener, PropertyChangeListener, PropertyEditor, EventListener

      public class TextAreaEditor
      extends PropertyEditorSupport
      implements FocusListener, PropertyChangeListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextAreaEditor()`
    `TextAreaEditor(Object source)`
    `TextAreaEditor(PropertyDescriptor descriptor)` Construct a `TextAreaEditor` using the properties of a given `PropertyDescriptor`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `focusGained(FocusEvent e)`
    `void` | `focusLost(FocusEvent e)`
    `String` | `getAsText()`
    `Component` | `getCustomEditor()`
    `Object` | `getValue()`
    `void` | `propertyChange(PropertyChangeEvent evt)`
    `void` | `setAsText(String text)`
    `void` | `setValue(Object value)`
    `boolean` | `supportsCustomEditor()`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, isPaintable, paintValue, removePropertyChangeListener, setSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextAreaEditor

          public TextAreaEditor()

    - #### TextAreaEditor

          public TextAreaEditor(Object source)

      Parameters:
        `source` - the source used for event firing

    - #### TextAreaEditor

          public TextAreaEditor(PropertyDescriptor descriptor)

      Construct a `TextAreaEditor` using the properties of a given `PropertyDescriptor`
      Parameters:
        `descriptor` - to be used for the editor. Must not be `null`

  - ### Method Detail

    - #### focusGained

          public void focusGained(FocusEvent e)

      Specified by:
        `focusGained` in interface `FocusListener`

    - #### focusLost

          public void focusLost(FocusEvent e)

      Specified by:
        `focusLost` in interface `FocusListener`

    - #### getAsText

          public String getAsText()

      Specified by:
        `getAsText` in interface `PropertyEditor`
      Overrides:
        `getAsText` in class `PropertyEditorSupport`

    - #### getCustomEditor

          public Component getCustomEditor()

      Specified by:
        `getCustomEditor` in interface `PropertyEditor`
      Overrides:
        `getCustomEditor` in class `PropertyEditorSupport`

    - #### setAsText

          public void setAsText(String text)
                         throws IllegalArgumentException

      Specified by:
        `setAsText` in interface `PropertyEditor`
      Overrides:
        `setAsText` in class `PropertyEditorSupport`
      Throws:
        `IllegalArgumentException`

    - #### setValue

          public void setValue(Object value)

      Specified by:
        `setValue` in interface `PropertyEditor`
      Overrides:
        `setValue` in class `PropertyEditorSupport`

    - #### getValue

          public Object getValue()

      Specified by:
        `getValue` in interface `PropertyEditor`
      Overrides:
        `getValue` in class `PropertyEditorSupport`

    - #### supportsCustomEditor

          public boolean supportsCustomEditor()

      Specified by:
        `supportsCustomEditor` in interface `PropertyEditor`
      Overrides:
        `supportsCustomEditor` in class `PropertyEditorSupport`

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent evt)

      Specified by:
        `propertyChange` in interface `PropertyChangeListener`

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.